Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora
Class Version

    java.lang.Object
      avrora.Version

public class Version
extends java.lang.Object

The `Version` class represents a version number, including the major version, the commit number, as well as the date and time of the last commit.

Field Summary
`int` | `commit` The `commit` field stores the commit number (i.e. the number of code revisions committed to CVS since the last release).
`java.lang.String` | `major` The `major` field stores the string that represents the major version number (the release number).
`java.lang.String` | `prefix` The `prefix` field stores the string that the prefix of the version (if any) for this version.

Constructor Summary
`Version()`

Method Summary
`static Version` | `getVersion()` The `getVersion()` method returns a reference to a `Version` object that represents the version of the code base.
`java.lang.String` | `toString()` The `toString()` method converts this version to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prefix

    public final java.lang.String prefix

  The `prefix` field stores the string that the prefix of the version (if any) for this version.

  See Also:
    Constant Field Values

### major

    public final java.lang.String major

  The `major` field stores the string that represents the major version number (the release number).

  See Also:
    Constant Field Values

### commit

    public final int commit

  The `commit` field stores the commit number (i.e. the number of code revisions committed to CVS since the last release).

  See Also:
    Constant Field Values

Constructor Detail

### Version

    public Version()

Method Detail

### getVersion

    public static Version getVersion()

  The `getVersion()` method returns a reference to a `Version` object that represents the version of the code base.

  Returns:
    a `Version` object representing the current version

### toString

    public java.lang.String toString()

  The `toString()` method converts this version to a string.

  Returns:
    a string representation of this version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD